clang-tools 8.0.0

Static Public Member Functions | List of all members
llvm::yaml::MappingTraits< RecordInfo > Struct Template Reference

## Static Public Member Functions
static void | mapping (IO &IO, RecordInfo &I)

## Detailed Description

### template<>
struct llvm::yaml::MappingTraits< RecordInfo >

Definition at line 190 of file YAMLGenerator.cpp.

## Member Function Documentation

## ◆ mapping()

static void llvm::yaml::MappingTraits< RecordInfo >::mapping | ( | IO & | IO,
|  | RecordInfo & | I
| ) |  |
| inline static

Definition at line 191 of file YAMLGenerator.cpp.

References clang::doc::RecordInfo::ChildEnums, clang::doc::RecordInfo::ChildFunctions, clang::doc::RecordInfo::ChildRecords, clang::doc::RecordInfo::Members, clang::doc::RecordInfo::Parents, llvm::yaml::SymbolInfoMapping(), clang::doc::RecordInfo::TagType, and clang::doc::RecordInfo::VirtualParents.

The documentation for this struct was generated from the following file:

- YAMLGenerator.cpp